List Linkable Data Sources For Knowledge Base
This method allows you to list all data sources for a specific knowledge base.
This method is useful if you want to list all data sources or only those that are not yet linked to the specific knowledge base. If exclude_linked is set to true, it will only list data sources that are not currently linked to the specified knowledge base.
knowledge_base_id
exclude_linked
after
before
limit
offset
order
set_num_objects
name
Successful Response
{
"object": "string",
"has_more": false,
"num_objects": 0,
"data": [
{
"id": "string",
"origin_url": "string",
"name": "string",
"description": "string",
"type": "string",
"object": "string",
"created_at": 0,
"last_updated_at": 0,
"options": {
"bucket": "string",
"prefix": "string",
"service_name": "string",
"api_version": "string",
"num_results": 0
}
}
],
"first_id": "string",
"last_id": "string"
}
Object type, which is always list.
True, if the server may have more objects than returned in the response.
Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).
List of linkable data sources.
ID of the first element in the list (if any)
ID of the last element in the list (if any)
Invalid knowledge base ID.
An invalid ID was passed for paginating results.
Validation Error
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
detail
curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/linkable-data-sources